Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.validation
Class ReportDataSourceValidator

    java.lang.Object
      com.jaspersoft.jasperserver.war.validation.ReportDataSourceValidator

All Implemented Interfaces:
  org.springframework.validation.Validator

Direct Known Subclasses:
  OlapDataSourceValidator

    public class ReportDataSourceValidator

extends java.lang.Object
implements org.springframework.validation.Validator

Constructor Summary
`ReportDataSourceValidator()`

Method Summary
`void` | `beanPropsForm(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `customPropsForm(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`CustomReportDataSourceServiceFactory` | `getCustomDataSourceFactory()`
`RepositoryService` | `getRepository()`
`void` | `jdbcPropsForm(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `jndiPropsForm(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `namingForm(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `setCustomDataSourceFactory(CustomReportDataSourceServiceFactory customDataSourceFactory)`
`void` | `setRepository(RepositoryService repository)`
`boolean` | `supports(java.lang.Class clazz)`
`void` | `validate(java.lang.Object obj, org.springframework.validation.Errors errors)`
`void` | `validateSource(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`
`void` | `validateType(ReportDataSourceWrapper wrapper, org.springframework.validation.Errors errors)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportDataSourceValidator

    public ReportDataSourceValidator()

Method Detail

### getCustomDataSourceFactory

    public CustomReportDataSourceServiceFactory getCustomDataSourceFactory()

### setCustomDataSourceFactory

    public void setCustomDataSourceFactory(CustomReportDataSourceServiceFactory customDataSourceFactory)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### supports

    public boolean supports(java.lang.Class clazz)

  Specified by:
    `supports` in interface `org.springframework.validation.Validator`

### validate

    public void validate(java.lang.Object obj,
                         org.springframework.validation.Errors errors)

  Specified by:
    `validate` in interface `org.springframework.validation.Validator`

### validateSource

    public void validateSource(ReportDataSourceWrapper wrapper,
                               org.springframework.validation.Errors errors)

### validateType

    public void validateType(ReportDataSourceWrapper wrapper,
                             org.springframework.validation.Errors errors)

### jndiPropsForm

    public void jndiPropsForm(ReportDataSourceWrapper wrapper,
                              org.springframework.validation.Errors errors)

### namingForm

    public void namingForm(ReportDataSourceWrapper wrapper,
                           org.springframework.validation.Errors errors)

### jdbcPropsForm

    public void jdbcPropsForm(ReportDataSourceWrapper wrapper,
                              org.springframework.validation.Errors errors)

### beanPropsForm

    public void beanPropsForm(ReportDataSourceWrapper wrapper,
                              org.springframework.validation.Errors errors)

### customPropsForm

    public void customPropsForm(ReportDataSourceWrapper wrapper,
                                org.springframework.validation.Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.